Skip to main content
`Ctrl`+`K`

# MatGetVariableBlockSizes

Gets a diagonal blocks of the matrix that need not be of the same size

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetVariableBlockSizes(Mat mat, PetscInt *nblocks, const PetscInt *bsizes[])

Not Collective; No Fortran Support

## Input Parameter

- mat - the matrix

## Output Parameters

- nblocks - the number of blocks on this process

- bsizes - the block sizes

## See Also

Matrices, `Mat`, `MatCreateSeqBAIJ()`, `MatCreateBAIJ()`, `MatGetBlockSize()`, `MatSetBlockSizes()`, `MatGetBlockSizes()`, `MatSetVariableBlockSizes()`, `MatComputeVariableBlockEnvelope()`

## Level

intermediate

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages